<?php

/*
 * Created on 10.01.2020
 * HomePage: https://xentr.net
 * Copyright (c) 2019 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */
 
namespace XENTR\HideContent\Repository;
use XF\Mvc\Entity\Repository;
class CheckLinks extends Repository
{
	
	public function checkUrl($url)
	{
		/** Get options */	
		$options = $this->app()->options();
		$TheWhiteList = $options->xtr_whiteList;
		
		/** Get Board URL */
		$boardUrls = $options->boardUrl;
		
		/** Get board host */
		$boardUrl = parse_url($boardUrls);
		$boardHost = $boardUrl['host'];
		
		/** Get URL host */
		$sourceUrl = parse_url($url);
		if (!empty($sourceUrl['host']) )
		{
			$curentDomain = $sourceUrl['host'];
		}
		else
		{
			$curentDomain = $boardHost;
		}
		$boardInc = $options->xtr_boardInc;
		
		/** Add board url to the whitelist */
		if($boardInc)
		{
			array_push($TheWhiteList, $boardUrls);
		}
		$whiteList = [];
		if(!empty($TheWhiteList))
		{
			foreach ($TheWhiteList as $value)
			{
				$whiteHost = parse_url($value);
				array_push($whiteList, $whiteHost['host']);
			}
		} 
		/** Check if we match the domain exactly */		
		if ( in_array( $curentDomain, $whiteList ) )
		{
			return true;
		}
		return false;
	}
	
	
}